package com.cm.common.plugin.pojo.vos.authority;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AuthorityUserVO
 * @Description: 权限
 * @Author: WangGeng
 * @Date: 2019/12/14 11:06 上午
 * @Version: 1.0
 **/
public class AuthorityUserVO {

    private String userId;
    private String managedUserId;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getManagedUserId() {
        return managedUserId == null ? "" : managedUserId.trim();
    }

    public void setManagedUserId(String managedUserId) {
        this.managedUserId = managedUserId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":")
                .append("\"").append(userId).append("\"");
        sb.append(",\"managedUserId\":")
                .append("\"").append(managedUserId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
